%define name python-pytest
%define srcname pytest
%define version 2.3.5
%define release 1

%define is_python %(test -e /usr/bin/python && echo 1 || echo 0)
%if %{is_python}
%define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%endif

%define _libdir64 %{_prefix}/lib64

%define is_python_64 %(test -e /usr/bin/python_64 && echo 1 || echo 0)
%if %{is_python_64}
%define python_sitelib64 %(python_64 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%endif

Summary: py.test: simple powerful testing with Python
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{srcname}-%{version}.tar.gz
License: MIT license
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Holger Krekel, Benjamin Peterson, Ronny Pfannschmidt, Floris Bruynooghe and others <holger at merlinux.eu>
Url: http://pytest.org

BuildRequires: python, python-devel
BuildRequires: python-sphinx
Requires: python
Requires: python-py >= 1.4.13dev6

%description

The ``py.test`` testing tool makes it easy to write small tests, yet
scales to support complex functional testing.

%prep
%setup -q -n %{srcname}-%{version}

mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cp -r 32bit/* 64bit/

%build
cd 64bit
python_64 setup.py build

cd ../32bit
python setup.py build

cd doc/en
make text

%install
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

cd 64bit
python_64 setup.py install --skip-build --root ${RPM_BUILD_ROOT}

cd ../32bit
python setup.py install --skip-build --root ${RPM_BUILD_ROOT}

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,system,-)
%doc 32bit/CHANGELOG 32bit/LICENSE 32bit/MANIFEST.in 32bit/PKG-INFO 32bit/README.rst
%doc 32bit/doc/en/_build/text
%{_bindir}/*
/usr/bin/*
%{python_sitelib}/*

%changelog
* Thu Jun 11 2013 Tristan Delhalle <Tristan.Delhalle@ext.bull.net> - 2.3.5-1
- first version for AIX V6.1 and higher
